Bug 200632 - Installer terminates unexpectedly after confirming download parameters
Installer terminates unexpectedly after confirming download parameters
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-29 08:05 EDT by Joachim Frieben
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-03 14:34:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2006-07-29 08:05:48 EDT
Description of problem:
After booting from current rawhide "boot.iso", install method "http" is
selected. After entering the download server info and confirming the
latter, the installer terminates, issues "loader received SIGSEGV!" and
invites the user to reboot the system.

Version-Release number of selected component (if applicable):
anaconda-11.1.0.73-1

How reproducible:
Always

Steps to Reproduce:
1. Boot from "boot.iso" (2006-07-29)
2. Select "http" install method.
3. Enter download server method and confirm.
  
Actual results:
Installer terminates w/o proceeding to downloading "stage2.img"

Expected results:
Installer proceeds to downloading "stage2.img"

Additional info:
This is a regression with respect to the previous rawhide push
which had "anaconda-11.1.0.72-1".
Comment 1 Joachim Frieben 2006-07-29 08:13:09 EDT
The affected system is an "IBM ThinkPad T23 (2647-CG7). On an
additional "DELL GX260N", the installer even crashes producing
a bluescreen as reported in bug #195766.
Comment 2 David Cantrell 2006-07-31 15:42:31 EDT
With today's tree (anaconda-11.1.0.73), I'm hitting the name resolution error
present in the URL grabber in loader.  I fixed that problem this morning.  If I
enter the IP address of the HTTP server, it works fine.

I was able to get a SIGSEGV if I proceeded with an HTTP installation, but have
the Ethernet cable disconnected.  Looking in to that.
Comment 3 Joachim Frieben 2006-08-01 07:36:38 EDT
I have just tried "anaconda-11.1.0.74-1", and I am able to perform an
install unless I add >= 2 boot parameters, including e.g. "hda=CHS",
"resolution=AxB", "skipddc" etc. If, for example, I simply add the disk
geometry and nothing else it will work. The same for the other options.
I conclude that there is a problem with the parsing of the boot parameters.
Comment 4 David Cantrell 2006-08-03 14:34:52 EDT
This problem has been corrected in the latest rawhide builds.

Note You need to log in before you can comment on or make changes to this bug.